<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "photo_filter".
 *
 * @property int $id
 * @property int $brightness
 * @property int $saturate
 * @property int $contrast
 * @property int $opacity
 */
class PhotoFilter extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'photo_filter';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id', 'brightness', 'saturate', 'contrast', 'opacity'], 'required'],
            [['id', 'brightness', 'saturate', 'contrast'], 'integer'],
            [[ 'opacity'], 'number'],
            [['id'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'brightness' => 'Brightness',
            'saturate' => 'Saturate',
            'contrast' => 'Contrast',
            'opacity' => 'Opacity',
        ];
    }
}
